Package org.h2.dev.ftp.server

# Interface FtpEventListener

All Known Implementing Classes:
  `TestFtp`

public interface FtpEventListener
Event listener for the FTP Server.

## Method Summary

Modifier and Type
Method
Description
`void`
`afterCommand(FtpEvent event)`
Called after the command has been processed.
`void`
`beforeCommand(FtpEvent event)`
Called before the given command is processed.
`void`
`onUnsupportedCommand(FtpEvent event)`
Called when an unsupported command is processed.

## Method Details

### beforeCommand

void beforeCommand(FtpEvent event)
Called before the given command is processed.

Parameters:
  `event` - the event

### afterCommand

void afterCommand(FtpEvent event)
Called after the command has been processed.

Parameters:
  `event` - the event

### onUnsupportedCommand

void onUnsupportedCommand(FtpEvent event)
Called when an unsupported command is processed. This method is called after beforeCommand.

Parameters:
  `event` - the event